// _GestionAdmin_Interface.java
// Created on 19 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.onglets;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionAdmin_Interface extends COFrame {

    /** Creates new form _GestionAdmin_Interface */
    public _GestionAdmin_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        Agents = new javax.swing.JPanel();
        Etablissement = new javax.swing.JPanel();
        Parametres = new javax.swing.JPanel();
        jTabbedPane2 = new javax.swing.JTabbedPane();
        ParametresPromotion = new javax.swing.JPanel();
        Destinataires = new javax.swing.JPanel();
        Impression = new javax.swing.JPanel();
        jTabbedPane9 = new javax.swing.JTabbedPane();
        Modules = new javax.swing.JPanel();
        ModulePourRequete = new javax.swing.JPanel();
        ModulePourContrat = new javax.swing.JPanel();
        Elections = new javax.swing.JPanel();
        jTabbedPane5 = new javax.swing.JTabbedPane();
        TypeElection = new javax.swing.JPanel();
        College = new javax.swing.JPanel();
        Election = new javax.swing.JPanel();
        CompElective = new javax.swing.JPanel();
        SectionElective = new javax.swing.JPanel();
        CollegeSectionElective = new javax.swing.JPanel();
        Secteur = new javax.swing.JPanel();
        BureauDeVote = new javax.swing.JPanel();
        Exclusion = new javax.swing.JPanel();
        Inclusion = new javax.swing.JPanel();
        jTabbedPane7 = new javax.swing.JTabbedPane();
        Corps = new javax.swing.JPanel();
        TypeDeContrat = new javax.swing.JPanel();
        Diplome = new javax.swing.JPanel();
        GestionVisas = new javax.swing.JPanel();
        jTabbedPane8 = new javax.swing.JTabbedPane();
        Visas = new javax.swing.JPanel();
        CongesCarrieres = new javax.swing.JPanel();
        CongesContractuels = new javax.swing.JPanel();
        ArretesCorps = new javax.swing.JPanel();
        ArretesContrats = new javax.swing.JPanel();

        setControllerClassName("org.cocktail.mangue.client.onglets.GestionAdmin");
        setSize(new java.awt.Dimension(905, 690));

        jTabbedPane1.setFont(new java.awt.Font("Helvetica", 0, 12));

        Agents.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout AgentsLayout = new org.jdesktop.layout.GroupLayout(Agents);
        Agents.setLayout(AgentsLayout);
        AgentsLayout.setHorizontalGroup(
            AgentsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 867, Short.MAX_VALUE)
        );
        AgentsLayout.setVerticalGroup(
            AgentsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 645, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Agents", Agents);

        Etablissement.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout EtablissementLayout = new org.jdesktop.layout.GroupLayout(Etablissement);
        Etablissement.setLayout(EtablissementLayout);
        EtablissementLayout.setHorizontalGroup(
            EtablissementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 867, Short.MAX_VALUE)
        );
        EtablissementLayout.setVerticalGroup(
            EtablissementLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 645, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Etablissement", Etablissement);

        Parametres.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane2.setFont(new java.awt.Font("Helvetica", 0, 12));

        ParametresPromotion.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ParametresPromotionLayout = new org.jdesktop.layout.GroupLayout(ParametresPromotion);
        ParametresPromotion.setLayout(ParametresPromotionLayout);
        ParametresPromotionLayout.setHorizontalGroup(
            ParametresPromotionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 803, Short.MAX_VALUE)
        );
        ParametresPromotionLayout.setVerticalGroup(
            ParametresPromotionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 594, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Paramètres Promotion", ParametresPromotion);

        Destinataires.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout DestinatairesLayout = new org.jdesktop.layout.GroupLayout(Destinataires);
        Destinataires.setLayout(DestinatairesLayout);
        DestinatairesLayout.setHorizontalGroup(
            DestinatairesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 803, Short.MAX_VALUE)
        );
        DestinatairesLayout.setVerticalGroup(
            DestinatairesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 594, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Destinataires", Destinataires);

        org.jdesktop.layout.GroupLayout ParametresLayout = new org.jdesktop.layout.GroupLayout(Parametres);
        Parametres.setLayout(ParametresLayout);
        ParametresLayout.setHorizontalGroup(
            ParametresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ParametresLayout.createSequentialGroup()
                .add(22, 22, 22)
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 808, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(37, Short.MAX_VALUE))
        );
        ParametresLayout.setVerticalGroup(
            ParametresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ParametresLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 624, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Paramètres", Parametres);

        Impression.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane9.setFont(new java.awt.Font("Helvetica", 0, 12));

        Modules.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ModulesLayout = new org.jdesktop.layout.GroupLayout(Modules);
        Modules.setLayout(ModulesLayout);
        ModulesLayout.setHorizontalGroup(
            ModulesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        ModulesLayout.setVerticalGroup(
            ModulesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 594, Short.MAX_VALUE)
        );

        jTabbedPane9.addTab("Modules Impression", Modules);

        ModulePourRequete.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ModulePourRequeteLayout = new org.jdesktop.layout.GroupLayout(ModulePourRequete);
        ModulePourRequete.setLayout(ModulePourRequeteLayout);
        ModulePourRequeteLayout.setHorizontalGroup(
            ModulePourRequeteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        ModulePourRequeteLayout.setVerticalGroup(
            ModulePourRequeteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 594, Short.MAX_VALUE)
        );

        jTabbedPane9.addTab("Modules pour Requêtes", ModulePourRequete);

        ModulePourContrat.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ModulePourContratLayout = new org.jdesktop.layout.GroupLayout(ModulePourContrat);
        ModulePourContrat.setLayout(ModulePourContratLayout);
        ModulePourContratLayout.setHorizontalGroup(
            ModulePourContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        ModulePourContratLayout.setVerticalGroup(
            ModulePourContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 594, Short.MAX_VALUE)
        );

        jTabbedPane9.addTab("Modèles pour Contrat", ModulePourContrat);

        org.jdesktop.layout.GroupLayout ImpressionLayout = new org.jdesktop.layout.GroupLayout(Impression);
        Impression.setLayout(ImpressionLayout);
        ImpressionLayout.setHorizontalGroup(
            ImpressionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ImpressionLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane9, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 847, Short.MAX_VALUE)
                .addContainerGap())
        );
        ImpressionLayout.setVerticalGroup(
            ImpressionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ImpressionLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 624, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Impression", Impression);

        Elections.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane5.setFont(new java.awt.Font("Helvetica", 0, 12));

        TypeElection.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout TypeElectionLayout = new org.jdesktop.layout.GroupLayout(TypeElection);
        TypeElection.setLayout(TypeElectionLayout);
        TypeElectionLayout.setHorizontalGroup(
            TypeElectionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        TypeElectionLayout.setVerticalGroup(
            TypeElectionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Type Election", TypeElection);

        College.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CollegeLayout = new org.jdesktop.layout.GroupLayout(College);
        College.setLayout(CollegeLayout);
        CollegeLayout.setHorizontalGroup(
            CollegeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        CollegeLayout.setVerticalGroup(
            CollegeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Collège", College);

        Election.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ElectionLayout = new org.jdesktop.layout.GroupLayout(Election);
        Election.setLayout(ElectionLayout);
        ElectionLayout.setHorizontalGroup(
            ElectionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        ElectionLayout.setVerticalGroup(
            ElectionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Election", Election);

        CompElective.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CompElectiveLayout = new org.jdesktop.layout.GroupLayout(CompElective);
        CompElective.setLayout(CompElectiveLayout);
        CompElectiveLayout.setHorizontalGroup(
            CompElectiveLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        CompElectiveLayout.setVerticalGroup(
            CompElectiveLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Comp. Elective", CompElective);

        SectionElective.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout SectionElectiveLayout = new org.jdesktop.layout.GroupLayout(SectionElective);
        SectionElective.setLayout(SectionElectiveLayout);
        SectionElectiveLayout.setHorizontalGroup(
            SectionElectiveLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        SectionElectiveLayout.setVerticalGroup(
            SectionElectiveLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Section Elective", SectionElective);

        CollegeSectionElective.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CollegeSectionElectiveLayout = new org.jdesktop.layout.GroupLayout(CollegeSectionElective);
        CollegeSectionElective.setLayout(CollegeSectionElectiveLayout);
        CollegeSectionElectiveLayout.setHorizontalGroup(
            CollegeSectionElectiveLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        CollegeSectionElectiveLayout.setVerticalGroup(
            CollegeSectionElectiveLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("College-Section. Elec.", CollegeSectionElective);

        Secteur.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout SecteurLayout = new org.jdesktop.layout.GroupLayout(Secteur);
        Secteur.setLayout(SecteurLayout);
        SecteurLayout.setHorizontalGroup(
            SecteurLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        SecteurLayout.setVerticalGroup(
            SecteurLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Secteur", Secteur);

        BureauDeVote.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout BureauDeVoteLayout = new org.jdesktop.layout.GroupLayout(BureauDeVote);
        BureauDeVote.setLayout(BureauDeVoteLayout);
        BureauDeVoteLayout.setHorizontalGroup(
            BureauDeVoteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        BureauDeVoteLayout.setVerticalGroup(
            BureauDeVoteLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Bureau de vote", BureauDeVote);

        Exclusion.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ExclusionLayout = new org.jdesktop.layout.GroupLayout(Exclusion);
        Exclusion.setLayout(ExclusionLayout);
        ExclusionLayout.setHorizontalGroup(
            ExclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 842, Short.MAX_VALUE)
        );
        ExclusionLayout.setVerticalGroup(
            ExclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 549, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Exclusion", Exclusion);

        Inclusion.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane7.setFont(new java.awt.Font("Helvetica", 0, 12));

        Corps.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CorpsLayout = new org.jdesktop.layout.GroupLayout(Corps);
        Corps.setLayout(CorpsLayout);
        CorpsLayout.setHorizontalGroup(
            CorpsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 768, Short.MAX_VALUE)
        );
        CorpsLayout.setVerticalGroup(
            CorpsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 496, Short.MAX_VALUE)
        );

        jTabbedPane7.addTab("Corps", Corps);

        TypeDeContrat.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout TypeDeContratLayout = new org.jdesktop.layout.GroupLayout(TypeDeContrat);
        TypeDeContrat.setLayout(TypeDeContratLayout);
        TypeDeContratLayout.setHorizontalGroup(
            TypeDeContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 768, Short.MAX_VALUE)
        );
        TypeDeContratLayout.setVerticalGroup(
            TypeDeContratLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 496, Short.MAX_VALUE)
        );

        jTabbedPane7.addTab("Type de Contrat", TypeDeContrat);

        Diplome.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout DiplomeLayout = new org.jdesktop.layout.GroupLayout(Diplome);
        Diplome.setLayout(DiplomeLayout);
        DiplomeLayout.setHorizontalGroup(
            DiplomeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 768, Short.MAX_VALUE)
        );
        DiplomeLayout.setVerticalGroup(
            DiplomeLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 496, Short.MAX_VALUE)
        );

        jTabbedPane7.addTab("Diplôme", Diplome);

        org.jdesktop.layout.GroupLayout InclusionLayout = new org.jdesktop.layout.GroupLayout(Inclusion);
        Inclusion.setLayout(InclusionLayout);
        InclusionLayout.setHorizontalGroup(
            InclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(InclusionLayout.createSequentialGroup()
                .add(12, 12, 12)
                .add(jTabbedPane7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 773, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(57, Short.MAX_VALUE))
        );
        InclusionLayout.setVerticalGroup(
            InclusionLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(InclusionLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 526, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(12, Short.MAX_VALUE))
        );

        jTabbedPane5.addTab("Inclusion", Inclusion);

        org.jdesktop.layout.GroupLayout ElectionsLayout = new org.jdesktop.layout.GroupLayout(Elections);
        Elections.setLayout(ElectionsLayout);
        ElectionsLayout.setHorizontalGroup(
            ElectionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ElectionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 847, Short.MAX_VALUE)
                .addContainerGap())
        );
        ElectionsLayout.setVerticalGroup(
            ElectionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ElectionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 579, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(55, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Elections", Elections);

        GestionVisas.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane8.setFont(new java.awt.Font("Helvetica", 0, 12));

        Visas.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout VisasLayout = new org.jdesktop.layout.GroupLayout(Visas);
        Visas.setLayout(VisasLayout);
        VisasLayout.setHorizontalGroup(
            VisasLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 810, Short.MAX_VALUE)
        );
        VisasLayout.setVerticalGroup(
            VisasLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 539, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Visas", Visas);

        CongesCarrieres.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CongesCarrieresLayout = new org.jdesktop.layout.GroupLayout(CongesCarrieres);
        CongesCarrieres.setLayout(CongesCarrieresLayout);
        CongesCarrieresLayout.setHorizontalGroup(
            CongesCarrieresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 810, Short.MAX_VALUE)
        );
        CongesCarrieresLayout.setVerticalGroup(
            CongesCarrieresLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 539, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Congés Carrières", CongesCarrieres);

        CongesContractuels.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout CongesContractuelsLayout = new org.jdesktop.layout.GroupLayout(CongesContractuels);
        CongesContractuels.setLayout(CongesContractuelsLayout);
        CongesContractuelsLayout.setHorizontalGroup(
            CongesContractuelsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 810, Short.MAX_VALUE)
        );
        CongesContractuelsLayout.setVerticalGroup(
            CongesContractuelsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 539, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Congés Contractuels", CongesContractuels);

        ArretesCorps.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ArretesCorpsLayout = new org.jdesktop.layout.GroupLayout(ArretesCorps);
        ArretesCorps.setLayout(ArretesCorpsLayout);
        ArretesCorpsLayout.setHorizontalGroup(
            ArretesCorpsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 810, Short.MAX_VALUE)
        );
        ArretesCorpsLayout.setVerticalGroup(
            ArretesCorpsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 539, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Arrêtés Corps", ArretesCorps);

        ArretesContrats.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ArretesContratsLayout = new org.jdesktop.layout.GroupLayout(ArretesContrats);
        ArretesContrats.setLayout(ArretesContratsLayout);
        ArretesContratsLayout.setHorizontalGroup(
            ArretesContratsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 810, Short.MAX_VALUE)
        );
        ArretesContratsLayout.setVerticalGroup(
            ArretesContratsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 539, Short.MAX_VALUE)
        );

        jTabbedPane8.addTab("Arrêtés Contrats", ArretesContrats);

        org.jdesktop.layout.GroupLayout GestionVisasLayout = new org.jdesktop.layout.GroupLayout(GestionVisas);
        GestionVisas.setLayout(GestionVisasLayout);
        GestionVisasLayout.setHorizontalGroup(
            GestionVisasLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(GestionVisasLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 815, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(42, Short.MAX_VALUE))
        );
        GestionVisasLayout.setVerticalGroup(
            GestionVisasLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(GestionVisasLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 569, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(65, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Gestion Visas", GestionVisas);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(15, 15, 15)
                .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 872, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(18, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(15, 15, 15)
                .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 675, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel Agents;
    public javax.swing.JPanel ArretesContrats;
    public javax.swing.JPanel ArretesCorps;
    public javax.swing.JPanel BureauDeVote;
    public javax.swing.JPanel College;
    public javax.swing.JPanel CollegeSectionElective;
    public javax.swing.JPanel CompElective;
    public javax.swing.JPanel CongesCarrieres;
    public javax.swing.JPanel CongesContractuels;
    public javax.swing.JPanel Corps;
    public javax.swing.JPanel Destinataires;
    public javax.swing.JPanel Diplome;
    public javax.swing.JPanel Election;
    public javax.swing.JPanel Elections;
    public javax.swing.JPanel Etablissement;
    public javax.swing.JPanel Exclusion;
    public javax.swing.JPanel GestionVisas;
    public javax.swing.JPanel Impression;
    public javax.swing.JPanel Inclusion;
    public javax.swing.JPanel ModulePourContrat;
    public javax.swing.JPanel ModulePourRequete;
    public javax.swing.JPanel Modules;
    public javax.swing.JPanel Parametres;
    public javax.swing.JPanel ParametresPromotion;
    public javax.swing.JPanel Secteur;
    public javax.swing.JPanel SectionElective;
    public javax.swing.JPanel TypeDeContrat;
    public javax.swing.JPanel TypeElection;
    public javax.swing.JPanel Visas;
    public javax.swing.JTabbedPane jTabbedPane1;
    public javax.swing.JTabbedPane jTabbedPane2;
    public javax.swing.JTabbedPane jTabbedPane5;
    public javax.swing.JTabbedPane jTabbedPane7;
    public javax.swing.JTabbedPane jTabbedPane8;
    public javax.swing.JTabbedPane jTabbedPane9;
    // End of variables declaration//GEN-END:variables
                  

}
